From 1ea3054b9fa00a6345a3bc42b93346e26d2584ec Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Tue, 15 Apr 2025 08:57:14 +0000
Subject: [PATCH] gzip: upgrade 1.13 -> 1.14

---
 .../wrong-path-fix.patch                      | 13 +++++-----
 .../gzip/{gzip_1.13.bb => gzip_1.14.bb}       | 26 +++++++++++++++++--
 2 files changed, 30 insertions(+), 9 deletions(-)
 rename meta/recipes-extended/gzip/{gzip-1.13 => gzip-1.14}/wrong-path-fix.patch (76%)
 rename meta/recipes-extended/gzip/{gzip_1.13.bb => gzip_1.14.bb} (58%)

diff --git a/meta/recipes-extended/gzip/gzip-1.13/wrong-path-fix.patch b/meta/recipes-extended/gzip/gzip-1.14/wrong-path-fix.patch
similarity index 76%
rename from meta/recipes-extended/gzip/gzip-1.13/wrong-path-fix.patch
rename to meta/recipes-extended/gzip/gzip-1.14/wrong-path-fix.patch
index 7f9e249de8..a381cbfa22 100644
--- a/meta/recipes-extended/gzip/gzip-1.13/wrong-path-fix.patch
+++ b/meta/recipes-extended/gzip/gzip-1.14/wrong-path-fix.patch
@@ -1,4 +1,7 @@
-fix MakeMaker issues with using wrong SHELL/GREP
+From f07fd2a3c8a28f25b5712682a95c8d94e0c8f423 Mon Sep 17 00:00:00 2001
+From: Ming Liu <ming.liu@windriver.com>
+Date: Fri, 21 Nov 2014 04:50:57 -0500
+Subject: [PATCH] fix MakeMaker issues with using wrong SHELL/GREP
 
 A set of substitution is being processed to all target scripts with sed by
 replacing some key words with the detected values at configure time, this
@@ -12,16 +15,15 @@ instead.
 Signed-off-by: Ming Liu <ming.liu@windriver.com>
 
 Upstream-Status: Pending
-
 ---
  Makefile.am | 3 +--
  1 file changed, 1 insertion(+), 2 deletions(-)
 
 diff --git a/Makefile.am b/Makefile.am
-index 4f51b61..80a5ddf 100644
+index 23e0d3e..3455878 100644
 --- a/Makefile.am
 +++ b/Makefile.am
-@@ -93,8 +93,7 @@ SUFFIXES = .in
+@@ -95,8 +95,7 @@ SUFFIXES = .in
  .in:
  	$(AM_V_GEN)rm -f $@-t $@ \
  	  && sed \
@@ -31,6 +33,3 @@ index 4f51b61..80a5ddf 100644
  		-e "s|'gzip'|$(GZIP_TRANSFORMED)|g" \
  		-e "s|'zdiff'|$(ZDIFF_TRANSFORMED)|g" \
  		-e "s|'zgrep'|$(ZGREP_TRANSFORMED)|g" \
---
-2.7.4
-
diff --git a/meta/recipes-extended/gzip/gzip_1.13.bb b/meta/recipes-extended/gzip/gzip_1.14.bb
similarity index 58%
rename from meta/recipes-extended/gzip/gzip_1.13.bb
rename to meta/recipes-extended/gzip/gzip_1.14.bb
index fd846b30a5..1f3d2f588f 100644
--- a/meta/recipes-extended/gzip/gzip_1.13.bb
+++ b/meta/recipes-extended/gzip/gzip_1.14.bb
@@ -1,3 +1,24 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- gzip.h
+# +++ gzip.h
+# @@ -9,5 +9,5 @@
+#     GNU General Public License for more details.
+#  
+#     You should have received a copy of the GNU General Public License
+# -   along with this program; if not, write to the Free Software Foundation,
+# -   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+# +   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
+# +
+# 
+#
+
 require gzip.inc
 
 # change to GPL-3.0-or-later in 2007/07. Previous GPL-2.0-or-later version is
@@ -10,7 +31,8 @@ SRC_URI = "${GNU_MIRROR}/gzip/${BP}.tar.gz \
 SRC_URI:append:class-target = " file://wrong-path-fix.patch"
 
 LIC_FILES_CHKSUM = "file://COPYING;md5=1ebbd3e34237af26da5dc08a4e440464 \
-                    file://gzip.h;beginline=8;endline=20;md5=6e47caaa630e0c8bf9f1bc8d94a8ed0e"
+                    file://gzip.h;beginline=8;endline=20;md5=a22158dc3dd3f5cf6e5a556940a49212 \
+                    "
 
 PROVIDES:append:class-native = " gzip-replacement-native"
 
@@ -38,4 +60,4 @@ do_install_ptest() {
             ${B}/tests/Makefile > ${D}${PTEST_PATH}/src/tests/Makefile
 }
 
-SRC_URI[sha256sum] = "20fc818aeebae87cdbf209d35141ad9d3cf312b35a5e6be61bfcfbf9eddd212a"
+SRC_URI[sha256sum] = "613d6ea44f1248d7370c7ccdeee0dd0017a09e6c39de894b3c6f03f981191c6b"
-- 
2.47.1

